package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class GetPlayingHistory {

    private int statusCode;
    private String message;
    @SerializedName("playingHistoryList")
    private List<PlayingHistory> playingHistoryList;
    private int adEnabled;
    private String nativeAdId;

    public GetPlayingHistory() {
    }

    public GetPlayingHistory(int statusCode, String message, List<PlayingHistory> playingHistoryList, int adEnabled, String nativeAdId) {
        this.statusCode = statusCode;
        this.message = message;
        this.playingHistoryList = playingHistoryList;
        this.adEnabled = adEnabled;
        this.nativeAdId = nativeAdId;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<PlayingHistory> getPlayingHistoryList() {
        return playingHistoryList;
    }

    public void setPlayingHistoryList(List<PlayingHistory> playingHistoryList) {
        this.playingHistoryList = playingHistoryList;
    }

    public int getAdEnabled() {
        return adEnabled;
    }

    public void setAdEnabled(int adEnabled) {
        this.adEnabled = adEnabled;
    }

    public String getNativeAdId() {
        return nativeAdId;
    }

    public void setNativeAdId(String nativeAdId) {
        this.nativeAdId = nativeAdId;
    }
}
